"use strict";
const dedent = require("dedent");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const dedent__default = /* @__PURE__ */ _interopDefaultCompat(dedent);
let resetImported = false;
const markResetImported = () => {
  resetImported = true;
};
const ensureResetImported = () => {
  if (!resetImported) {
    throw new Error(dedent__default.default`
      Braid components imported before reset.
      ‎
      Make sure to import the Braid reset module before importing any components.
      This ensures the CSS reset does not override the component styles.
      ‎
      e.g.
      ‎
      import 'braid-design-system/reset'; // <-- Must be first
      import { BraidProvider, Box } from 'braid-design-system';
    `);
  }
};
exports.ensureResetImported = ensureResetImported;
exports.markResetImported = markResetImported;
