"use strict";
const __vanilla_filescope__ = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const styles_lib_css_responsiveStyle_cjs = require("../../css/responsiveStyle.cjs");
__vanilla_filescope__.setFileScope("src/lib/components/Tiles/Tiles.css.ts", "braid-design-system");
const columnsWidths = {
  1: "100%",
  2: `${100 / 2}%`,
  3: `${100 / 3}%`,
  4: `${100 / 4}%`,
  5: `${100 / 5}%`,
  6: `${100 / 6}%`
};
const makeColumnsAtoms = (breakpoint) => css.styleVariants(columnsWidths, (width) => styles_lib_css_responsiveStyle_cjs.responsiveStyle({
  [breakpoint]: {
    flex: `0 0 ${width}`
  }
}), `columns_${breakpoint}`);
const columnsMobile = makeColumnsAtoms("mobile");
const columnsTablet = makeColumnsAtoms("tablet");
const columnsDesktop = makeColumnsAtoms("desktop");
const columnsWide = makeColumnsAtoms("wide");
__vanilla_filescope__.endFileScope();
exports.columnsDesktop = columnsDesktop;
exports.columnsMobile = columnsMobile;
exports.columnsTablet = columnsTablet;
exports.columnsWide = columnsWide;
