import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style } from "@vanilla-extract/css";
import { debugTouchable } from "./debugTouchable.mjs";
import { virtualTouchableRules } from "./virtualTouchableRules.mjs";
setFileScope("src/lib/components/private/touchable/virtualTouchable.css.ts", "braid-design-system");
const virtualTouchable = style([{
  position: "relative",
  ":after": {
    content: '""',
    position: "absolute",
    left: -10,
    right: -10,
    ...virtualTouchableRules
  }
}, debugTouchable({
  after: true
})], "virtualTouchable");
const yAxisOnly = style({
  ":after": {
    left: "0 !important",
    right: "0 !important"
  }
}, "yAxisOnly");
endFileScope();
export {
  virtualTouchable,
  yAxisOnly
};
