"use strict";
const styles_lib_themes_vars_css_cjs = require("../themes/vars.css.cjs");
const styles_lib_css_responsiveStyle_cjs = require("./responsiveStyle.cjs");
const globalTextStyle = ({
  weight = "regular",
  size = "standard"
} = {}) => ({
  fontFamily: styles_lib_themes_vars_css_cjs.vars.fontFamily,
  fontWeight: styles_lib_themes_vars_css_cjs.vars.textWeight[weight],
  color: styles_lib_themes_vars_css_cjs.vars.foregroundColor.neutral,
  ...styles_lib_css_responsiveStyle_cjs.responsiveStyle({
    mobile: {
      fontSize: styles_lib_themes_vars_css_cjs.vars.textSize[size].mobile.fontSize,
      lineHeight: styles_lib_themes_vars_css_cjs.vars.textSize[size].mobile.lineHeight
    },
    tablet: {
      fontSize: styles_lib_themes_vars_css_cjs.vars.textSize[size].tablet.fontSize,
      lineHeight: styles_lib_themes_vars_css_cjs.vars.textSize[size].tablet.lineHeight
    }
  })
});
const globalHeadingStyle = ({
  weight = "regular",
  level
}) => ({
  fontFamily: styles_lib_themes_vars_css_cjs.vars.fontFamily,
  fontWeight: styles_lib_themes_vars_css_cjs.vars.headingWeight[weight],
  color: styles_lib_themes_vars_css_cjs.vars.foregroundColor.neutral,
  ...styles_lib_css_responsiveStyle_cjs.responsiveStyle({
    mobile: {
      fontSize: styles_lib_themes_vars_css_cjs.vars.headingLevel[level].mobile.fontSize,
      lineHeight: styles_lib_themes_vars_css_cjs.vars.headingLevel[level].mobile.lineHeight
    },
    tablet: {
      fontSize: styles_lib_themes_vars_css_cjs.vars.headingLevel[level].tablet.fontSize,
      lineHeight: styles_lib_themes_vars_css_cjs.vars.headingLevel[level].tablet.lineHeight
    }
  })
});
exports.globalHeadingStyle = globalHeadingStyle;
exports.globalTextStyle = globalTextStyle;
