import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { styleVariants } from "@vanilla-extract/css";
import { responsiveStyle } from "./responsiveStyle.mjs";
import { vars } from "../themes/vars.css.mjs";
setFileScope("src/lib/css/lineHeightContainer.css.ts", "braid-design-system");
const lineHeightContainer = styleVariants(vars.textSize, ({
  mobile,
  tablet
}) => responsiveStyle({
  mobile: {
    height: mobile.lineHeight
  },
  tablet: {
    height: tablet.lineHeight
  }
}), "lineHeightContainer");
endFileScope();
export {
  lineHeightContainer
};
